cURL
curl -H "X-API-Key: $PARTICLE_API_KEY" \
"https://api.particle.pro/v1/companies/{id}"{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"identifiers": {
"cik": "<string>",
"domain": "<string>",
"entity": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"company": {
"id": "<string>",
"domain": "<string>",
"ticker": "<string>"
},
"description": "<string>",
"image_url": "<string>",
"person": {
"id": "<string>",
"company": "<string>",
"image_url": "<string>",
"title": "<string>"
},
"type": {
"name": "<string>",
"slug": "<string>"
},
"wikipedia_url": "<string>"
},
"qid": "<string>",
"ticker": "<string>"
},
"image_mode": "AUTOMATIC",
"image_url": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": "Property foo is required but is missing.",
"error_code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"resolve": {
"message": "<string>",
"action": "<string>",
"endpoint": "<string>",
"method": "<string>",
"url": "<string>"
},
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Companies
Get a company
Returns a single company by slug (e.g., ‘apple’), domain (e.g., ‘apple.com’), or ID.
GET
/
v1
/
companies
/
{id}
cURL
curl -H "X-API-Key: $PARTICLE_API_KEY" \
"https://api.particle.pro/v1/companies/{id}"{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"identifiers": {
"cik": "<string>",
"domain": "<string>",
"entity": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"company": {
"id": "<string>",
"domain": "<string>",
"ticker": "<string>"
},
"description": "<string>",
"image_url": "<string>",
"person": {
"id": "<string>",
"company": "<string>",
"image_url": "<string>",
"title": "<string>"
},
"type": {
"name": "<string>",
"slug": "<string>"
},
"wikipedia_url": "<string>"
},
"qid": "<string>",
"ticker": "<string>"
},
"image_mode": "AUTOMATIC",
"image_url": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": "Property foo is required but is missing.",
"error_code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"resolve": {
"message": "<string>",
"action": "<string>",
"endpoint": "<string>",
"method": "<string>",
"url": "<string>"
},
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Authorizations
ApiKeyHeaderBearerAuth
Pass your API key in the X-API-Key header (recommended).
Path Parameters
Company slug (e.g., 'apple', 'tesla'), domain (e.g., 'apple.com'), or ID
Response
OK
Unique identifier
Company name
Company description
External identifiers
Show child attributes
Show child attributes
Image presentation policy. AUTOMATIC permits client fallbacks, CUSTOM requires the supplied image_url, and NONE suppresses all image fallbacks.
Available options:
AUTOMATIC, CUSTOM, NONE Effective company image URL. Omitted when image_mode is NONE or no automatic image is available.
Last updated timestamp
Was this page helpful?